/*
 * (C)opyright MMVI Jesus Galan and Anselm R. Garbe <garbeam at gmail dot com>
 * See LICENSE file for license details.
 */

#define TAGS \
const char *tags[] = { "main", "net", "dev", "art", "etc", NULL };

#define DEFMODE			dotile /* dofloat */
#define FLOATSYMBOL		"><>"
#define STACKPOS		StackRight	/* StackLeft */
#define BSTACKSYMBOL		"==="
#define VSTACKSYMBOL		"[]="

#define FONT			"fixed"
#define SELBGCOLOR		"#ae91bd"
#define SELFGCOLOR		"#eeeeee"
#define NORMBGCOLOR		"#5f5f71"
#define NORMFGCOLOR		"#cccccc"
#define STATUSBGCOLOR		"#dddddd"
#define STATUSFGCOLOR		"#222222"

#define MODKEY			Mod1Mask
#define MASTER			60 /* percent */

#define KEYS \
static Key key[] = { \
	/* modifier			key		function	arguments */ \
	{ MODKEY|ShiftMask,		XK_Return,	spawn,		{ .cmd = "exec xterm" } }, \
	{ MODKEY|ShiftMask,		XK_j,		spawn,		{ .cmd = "exec xwarppointer screen +" } }, \
	{ MODKEY|ShiftMask,		XK_k,		spawn,		{ .cmd = "exec xwarppointer scrren -" } }, \
	{ MODKEY,			XK_p,		spawn, 		{ .cmd = "prg=\"$(cat ~/.fmenu/programs.fmenu | fmenu)\" && exec $prg" } }, \
	{ MODKEY,			XK_c,		spawn, 		{ .cmd = "crtl=\"$(cat ~/.fmenu/control.fmenu | fmenu -normbg '#333333' -normfg '#ff6666')\" && exec $crtl" } }, \
	{ MODKEY,			XK_d,		spawn, 		{ .cmd = "rxd=\"$(cat ~/.fmenu/dirs.fmenu | fmenu -normbg '#051205' -normfg '#668866')\" && exec $rxd" } }, \
	{ MODKEY,			XK_m,		spawn, 		{ .cmd = "muscmd=\"$(cat ~/.fmenu/moc.fmenu | fmenu -normbg '#000000' -normfg '#666699')\" && exec $muscmd" } }, \
	{ MODKEY,			XK_j,		focusnext,	{ 0 } }, \
	{ MODKEY,			XK_Tab,		focusnext,	{ 0 } }, \
	{ MODKEY|ShiftMask,		XK_Tab,		focusprev,	{ 0 } }, \
	{ MODKEY,			XK_k,		focusprev,	{ 0 } }, \
	{ MODKEY,			XK_Return,	zoom,		{ 0 } }, \
	{ MODKEY,			XK_f,		togglefloat,	{ 0 } }, \
	{ MODKEY,			XK_b,		togglestackpos,	{ 0 } }, \
	{ MODKEY,			XK_g,		resizecol,	{ .i = 20 } }, \
	{ MODKEY,			XK_s,		resizecol,	{ .i = -20 } }, \
	{ MODKEY|ShiftMask,		XK_1,		tag,		{ .i = 0 } }, \
	{ MODKEY|ShiftMask,		XK_2,		tag,		{ .i = 1 } }, \
	{ MODKEY|ShiftMask,		XK_3,		tag,		{ .i = 2 } }, \
	{ MODKEY|ShiftMask,		XK_4,		tag,		{ .i = 3 } }, \
	{ MODKEY|ShiftMask,		XK_5,		tag,		{ .i = 4 } }, \
/*	{ MODKEY|ShiftMask,		XK_6,		tag,		{ .i = 5 } }, \*/\
	{ MODKEY|ControlMask|ShiftMask,	XK_1,		toggletag,	{ .i = 0 } }, \
	{ MODKEY|ControlMask|ShiftMask,	XK_2,		toggletag,	{ .i = 1 } }, \
	{ MODKEY|ControlMask|ShiftMask,	XK_3,		toggletag,	{ .i = 2 } }, \
	{ MODKEY|ControlMask|ShiftMask,	XK_4,		toggletag,	{ .i = 3 } }, \
	{ MODKEY|ControlMask|ShiftMask,	XK_5,		toggletag,	{ .i = 4 } }, \
/*	{ MODKEY|ControlMask|ShiftMask,	XK_6,		toggletag,	{ .i = 5 } }, \*/\
	{ MODKEY|ShiftMask,		XK_c,		killclient,	{ 0 } }, \
	{ MODKEY,			XK_space,	togglemode,	{ 0 } }, \
	{ MODKEY,			XK_o,		cycle,		{ 0 } }, \
	{ MODKEY,			XK_0,		viewall,	{ 0 } }, \
	{ MODKEY,			XK_1,		view,		{ .i = 0 } }, \
	{ MODKEY,			XK_2,		view,		{ .i = 1 } }, \
	{ MODKEY,			XK_3,		view,		{ .i = 2 } }, \
	{ MODKEY,			XK_4,		view,		{ .i = 3 } }, \
	{ MODKEY,			XK_5,		view,		{ .i = 4 } }, \
/*	{ MODKEY,			XK_6,		view,		{ .i = 5 } }, \*/\
	{ MODKEY|ControlMask,		XK_1,		toggleview,	{ .i = 0 } }, \
	{ MODKEY|ControlMask,		XK_2,		toggleview,	{ .i = 1 } }, \
	{ MODKEY|ControlMask,		XK_3,		toggleview,	{ .i = 2 } }, \
	{ MODKEY|ControlMask,		XK_4,		toggleview,	{ .i = 3 } }, \
	{ MODKEY|ControlMask,		XK_5,		toggleview,	{ .i = 4 } }, \
/*	{ MODKEY|ControlMask,		XK_6,		toggleview,	{ .i = 5 } }, \*/\
	{ MODKEY|ShiftMask,		XK_q,		quit,		{ 0 } }, \
	{ 0,				XK_F1,		spawn,		{ .cmd = "exec xterm" } }, \
	{ 0|ShiftMask,			XK_F1,		spawn,		{ .cmd = "exec rox" } }, \
	{ 0,				XK_F2,		spawn,		{ .cmd = "exec firefox" } }, \
	{ 0,				XK_F3,		spawn,		{ .cmd = "exec gvim" } }, \
	{ 0,				XK_F4,		spawn,		{ .cmd = "exec gimp" } }, \
	{ 0|ShiftMask,			XK_F4,		spawn,		{ .cmd = "exec inkscape" } }, \
	{ 0|ControlMask,		XK_F4,		spawn,		{ .cmd = "exec rox ~/Documents/imgs" } }, \
};

/* Query class:instance:title for regex matching info with following command:
 * xprop | awk -F '"' '/^WM_CLASS/ { printf("%s:%s:",$4,$2) }; /^WM_NAME/ { printf("%s\n",$2) }' */
#define RULES \
static Rule rule[] = { \
	/* class:instance:title regex	tags regex	isfloat */ \
	{ "Firefox.*",			"net",		False }, \
	{ "Gimp.*",			"art",		False}, \
	{ "Inkscape.*",			"art",		False}, \
	{ "Gvim.*",			"dev",		False}, \
	{ "Ardour.*",			"art",		False}, \
	{ "MPlayer.*",                  NULL,           True}, \
        { "Acroread.*",                 NULL,           True}, \
        { "Xnest*", 	                NULL,           True}, \
};
