##
## Put me in ~/.irssi/scripts, and then execute the following in irssi:
##
##       /load perl
##       /script load fnotify
##

use strict;
use Irssi;
use vars qw($VERSION %IRSSI);

$VERSION = "0.01";
%IRSSI = (
    authors     => 'Jesus Galan (yiyus)',
    contact     => 'yiyu.jgl@gmail.com',
    name        => 'fnotify.pl',
    description => 'Shows notification through fmenu',
    license     => 'GNU General Public License',
    url         => 'not yet...',
);


Irssi::theme_register([
    'active_notice_loaded', '%R>>%n %_Debuginfo:%_ $0'
]);



sub notify {
    my ($dest, $text, $stripped) = @_;
    my $server = $dest->{server};
    my $awin = Irssi::active_win();
    my $dwin = $dest->{window};
    
    return if (!$server || !($dest->{level} & (MSGLEVEL_HILIGHT|MSGLEVEL_MSGS)) || ($awin->{refnum} == $dwin->{refnum}));
    
    #return if $dwin->{active};

    $stripped =~ s/[^a-zA-Z0-9 .,!\?@\:\<\>]//g;
    system("echo '\[$dest->{target}\]\n$stripped'|fmenu -font '-misc-fixed-*-*-*-*-12-*-*-*-*-*-*-*' -normbg '#881010' -normfg '#eeeeee' > /dev/null");
}

Irssi::signal_add('print text', 'notify');
